PrincipalBundle\Entity\Usuario:
    type: entity
    table: usuario
    indexes:
        perfilpkusuariofk:
            columns:
                - id_perfil
    id:
        idUsuario:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            column: id_usuario
            generator:
                strategy: IDENTITY
    fields:
        usuario:
            type: string
            nullable: false
            length: 20
            options:
                fixed: false
        clave:
            type: string
            nullable: false
            length: 20
            options:
                fixed: false
    manyToOne:
        idPerfil:
            targetEntity: Perfil
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                id_perfil:
                    referencedColumnName: id_perfil
            orphanRemoval: false
    lifecycleCallbacks: {  }
